Bug 170684 - system-config-soundcard problem with SB awe64
system-config-soundcard problem with SB awe64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 14:55 EDT by Michael Charnoky
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 04:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Charnoky 2005-10-13 14:55:53 EDT
Description of problem:

When using Soundblaster AWE64 gold (ISA), system-config-soundcard presents *two*
 detected audio devices.  If the proper audio device is selected, the
asound.conf file gets written incorrectly.

Version-Release number of selected component (if applicable):

Fedora Core 4, all updates applied (as of Oct 12, 2005)

How reproducible:

First, an SB awe64 sound card must be installed.  Then...

Steps to Reproduce:
1. Run system-config-soundcard.  TWO audio devices will be displayed:
 * Model: SB AWE64 Gold - CTL7002
   Module: ns558
 * Model: SB AWE64 Gold - CTL0044
   Module: snd-sbawe
The first device should *not* be shown: the CTL7002 is the game port.

2. Select the CTL0044 device as the primary audio device

3. Exit the program
  
Actual results:

The /etc/asound.conf file contains:

# Generated by system-config-soundcard, do not edit by hand
defaults.pcm.card 1
defaults.ctl.card 1

This breaks some applications.  For example, alsamixer will not work.

Expected results:

The file should contain:

defaults.pcm.card 0
defaults.ctl.card 0


Additional info:

If the game port device is selected, the asound.conf file get written correctly.
Comment 1 Martin Stransky 2005-10-16 11:14:43 EDT
Could you please attach related lines from /etc/sysconfig/hwconf?
Comment 2 Michael Charnoky 2005-10-17 11:51:09 EDT
Here you go:

-
class: UNSPEC
bus: ISAPNP
detached: 0
driver: unknown
desc: "Creative SB AWE64 Gold - CTL0023"
deviceId: CTL0023
pdeviceId: CTL009e
-
class: UNSPEC
bus: ISAPNP
detached: 0
driver: ns558
desc: "Creative SB AWE64 Gold - CTL7002"
deviceId: CTL7002
pdeviceId: CTL009e
compat: PNPb02f
-
Comment 3 Martin Stransky 2005-10-26 04:54:24 EDT
fixed in devel.

Note You need to log in before you can comment on or make changes to this bug.